# MPI is not enabled as it seems to work badly with OpenGL

Name:		nightfall
Version:	1.70
Release:	%mkrel 2
Summary:	Nightfall is an astronomy application for emulation of eclipsing stars

License:	GPLv2+
Group:		Sciences/Astronomy
URL:		http://www.hs.uni-hamburg.de/DE/Ins/Per/Wichmann/Nightfall.html
Source0:	http://www.la-samhna.de/%{name}/%{name}-%{version}.tar.gz
Source1:	nightfall.desktop
Patch0: nightfall-1.70-mpireport.patch
#need to get debug symbols
Patch1: nightfall-1.62-optflags.patch
Patch2: nightfall-1.62-fixmakefile.patch 
#Flags.GL and MPI is not working together
#This patch is therefore not applied
Patch3: nightfall-1.70-mpiopengl.patch
#fix buffer overflow
Patch4: nightfall-1.70-bufover.patch

BuildRequires: gtk2-devel, desktop-file-utils 
BuildRequires: pkgconfig(gtkgl-2.0)
#BuildRequires: openmpi-devel
BuildRequires: gnomeui2-devel
BuildRequires: mesaglu-devel
BuildRequires: jpeg-devel
BuildRequires: glut-devel
BuildRequires: a2ps, fortune-mod
BuildRequires: rarian
Requires: gnuplot, a2ps, fortune-mod

%description
Nightfall is an astronomy application for fun, education, and science.
It can produce animated views of eclipsing binary stars,
calculate synthetic lightcurves and radial velocity curves,
and eventually determine the best-fit model for a given set of
observational data of an eclipsing binary star system.
It is, however, not able to fry your breakfast egg on your harddisk.

%prep
%setup -q
%patch0 -p1 -b .patchreport
%patch1 -p1 -b .optflags
%patch2 -p2 -b .fixmakefile
%patch4 -p1 -b .bufover

%build
# Don't explicitly enable-gnome as adding --enable-gnome
# seems to disable gnome.  Rather make sure that gnomeui2-devel
# is in BuildRequires and have configure autodetect it.

%configure2_5x --with-gnuplot --enable-opengl  \
#LIBS="`pkg-config --libs ompi-cxx`"
%make

%install
%makeinstall_std
%find_lang %{name}
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}


%files -f %{name}.lang
%doc UserManual.pdf UserManual.html README COPYING AUTHORS ChangeLog
%{_datadir}/nightfall/
%{_datadir}/applications/nightfall.desktop
%{_datadir}/omf/nightfall
%{_bindir}/nightfall
%{_mandir}/man1/nightfall.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.70-2.mga4
+ Revision: 530554
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 joequant <joequant> 1.70-1.mga4
+ Revision: 445919
- fix mandir
- remove patch3 comment
- clean spec
- add build requires for i586
- imported package nightfall

